List personal access tokens​
GET
/users/personalAccessTokens
List personal access tokens of the user
Authorizations​
ApiKeyAuth
API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.
Type
API Key (header: Authorization)
Example
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."Parameters​
Query Parameters
_limit
Limit for pagination, default 10, max 100
Type
integer
_page
Page for pagination
Type
integer
GET
/users/personalAccessTokens
Request example
Responses​
OK
application/json
JSON"limit": 0,"page": 0,"tokens": [{"created": "string","description": "string","expiresAt": "string","id": 0,"ttl": 0}],"total": 0
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}
Try this endpoint
Playground​
Authorization
Variables
Key
Value
OpenAPI definition ​
References are expanded below, except recursive definitions and references with sibling fields. Documentation overrides are included. Full original OpenAPI spec (JSON).
View endpoint OpenAPI definition
yaml
info:
title: Lightbug API
version: '2'
externalDocs:
description: ''
url: ''
openapi: 3.1.0
servers:
- url: https://api.lightbug.cloud/v2
security:
- ApiKeyAuth: []
tags: []
paths:
/users/personalAccessTokens:
get:
description: List personal access tokens of the user
parameters:
- description: Limit for pagination, default 10, max 100
in: query
name: _limit
schema:
type: integer
- description: Page for pagination
in: query
name: _page
schema:
type: integer
responses:'200':
yaml
content:
application/json:
schema:
properties:
limit:
type: integer
page:
type: integer
tokens:
items:
properties:
created:
type: string
description:
type: string
expiresAt:
type: string
id:
type: integer
ttl:
type: integer
type: object
type: array
uniqueItems: false
total:
type: integer
type: object
description: OK'400':
yaml
content:
application/json:
schema:
properties:
code:
example: 400
type: integer
message:
example: status bad request
type: string
type: object
description: Bad Request'401':
yaml
content:
application/json:
schema:
properties:
code:
example: 400
type: integer
message:
example: status bad request
type: string
type: object
description: Unauthorized'429':
yaml
content:
application/json:
schema:
type: string
description: Limit exceeded
headers:
X-Ratelimit-Limit:
schema:
type: integer
X-Ratelimit-Remaining:
schema:
type: integer
X-Ratelimit-Reset:
schema:
type: integeryaml
security:
- ApiKeyAuth: []
summary: List personal access tokens
tags:
- personalAccessTokens
operationId: get-users-personalAccessTokens
components:
securitySchemes:
ApiKeyAuth:
in: header
name: Authorization
type: apiKey
description: API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See <a href='/apis/authentication'>Authentication</a> for more details.
example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...